## org.openorb.compiler.idl.reflect
Interface idlState

All Superinterfaces:
  idlObject

All Known Implementing Classes:
  IdlStateMember

public interface idlState
extends idlObject

This interface is implemented by all IDL objects that represent a state description

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel

Method Summary
`boolean` `isPublic()` Return TRUE if this state member is public
`idlObject` `stateType()` Return the state member type

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, content, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Method Detail

### isPublic

    public boolean isPublic()

  Return TRUE if this state member is public

### stateType

    public idlObject stateType()

  Return the state member type